org.jbpm.casemgmt.impl.marshalling

## Class CaseFileInstanceMarshallingStrategy

- java.lang.Object
- - org.jbpm.casemgmt.impl.marshalling.CaseFileInstanceMarshallingStrategy

- All Implemented Interfaces:
    org.drools.persistence.api.TransactionAware, org.kie.api.marshalling.ObjectMarshallingStrategy, org.kie.internal.runtime.Cacheable

      public class CaseFileInstanceMarshallingStrategy
      extends Object
      implements org.kie.api.marshalling.ObjectMarshallingStrategy, org.drools.persistence.api.TransactionAware, org.kie.internal.runtime.Cacheable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.marshalling.ObjectMarshallingStrategy

      `org.kie.api.marshalling.ObjectMarshallingStrategy.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseFileInstanceMarshallingStrategy()`
    `CaseFileInstanceMarshallingStrategy(org.kie.api.marshalling.ObjectMarshallingStrategy... strategies)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Object object)`
    `void` | `close()`
    `org.kie.api.marshalling.ObjectMarshallingStrategy.Context` | `createContext()`
    `byte[]` | `marshal(org.kie.api.marshalling.ObjectMarshallingStrategy.Context context, ObjectOutputStream os, Object object)`
    `void` | `onEnd(org.drools.persistence.api.TransactionManager txm)`
    `void` | `onStart(org.drools.persistence.api.TransactionManager txm)`
    `Object` | `read(ObjectInputStream os)`
    `Object` | `unmarshal(org.kie.api.marshalling.ObjectMarshallingStrategy.Context context, ObjectInputStream is, byte[] object, ClassLoader classloader)`
    `void` | `write(ObjectOutputStream os, Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.marshalling.ObjectMarshallingStrategy

      `getName`

- - ### Constructor Detail

    - #### CaseFileInstanceMarshallingStrategy

          public CaseFileInstanceMarshallingStrategy()

    - #### CaseFileInstanceMarshallingStrategy

          public CaseFileInstanceMarshallingStrategy(org.kie.api.marshalling.ObjectMarshallingStrategy... strategies)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

    - #### onStart

          public void onStart(org.drools.persistence.api.TransactionManager txm)

      Specified by:
        `onStart` in interface `org.drools.persistence.api.TransactionAware`

    - #### onEnd

          public void onEnd(org.drools.persistence.api.TransactionManager txm)

      Specified by:
        `onEnd` in interface `org.drools.persistence.api.TransactionAware`

    - #### accept

          public boolean accept(Object object)

      Specified by:
        `accept` in interface `org.kie.api.marshalling.ObjectMarshallingStrategy`

    - #### write

          public void write(ObjectOutputStream os,
                            Object object)
                     throws IOException

      Specified by:
        `write` in interface `org.kie.api.marshalling.ObjectMarshallingStrategy`
      Throws:
        `IOException`

    - #### read

          public Object read(ObjectInputStream os)
                      throws IOException,
                             ClassNotFoundException

      Specified by:
        `read` in interface `org.kie.api.marshalling.ObjectMarshallingStrategy`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### marshal

          public byte[] marshal(org.kie.api.marshalling.ObjectMarshallingStrategy.Context context,
                                ObjectOutputStream os,
                                Object object)
                         throws IOException

      Specified by:
        `marshal` in interface `org.kie.api.marshalling.ObjectMarshallingStrategy`
      Throws:
        `IOException`

    - #### unmarshal

          public Object unmarshal(org.kie.api.marshalling.ObjectMarshallingStrategy.Context context,
                                  ObjectInputStream is,
                                  byte[] object,
                                  ClassLoader classloader)
                           throws IOException,
                                  ClassNotFoundException

      Specified by:
        `unmarshal` in interface `org.kie.api.marshalling.ObjectMarshallingStrategy`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### createContext

          public org.kie.api.marshalling.ObjectMarshallingStrategy.Context createContext()

      Specified by:
        `createContext` in interface `org.kie.api.marshalling.ObjectMarshallingStrategy`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.